# Tweet Cloud Script
Provide a search query and the script will search twitter for tweets matching it. Then, the content from these tweets will be used to create a Word Cloud image.

With this tool you can use what thousands of users are saying, in order to discover what are the topics related to a certain query.

# How to use:
Install the packages needed with:

$ ./install_deps.sh

This will install the twython, wordcloud, matplotlib and numpy packages in your computer.

Run passing the query, the path to the resulting image and the path to a mask image.

$ python3.6 tweet_cloud.py <query> <output path> <mask path>

- Query: the string to be searched. _ characters will be replaced by whitespace.

- Output path: the path of the image that will be created.

- Mask path: path to a monochromatic PNG image, used as the "shape" of the word cloud. There's one named "cloud_mask.png" in this directory.

## Example:

$ python3.6 tweet_cloud.py temer temer_cloud.png cloud_mask.png

Example Result: "bolo.png"
